Package docking.menu

# Class ButtonState<T>

java.lang.Object
docking.menu.ButtonState<T>

Type Parameters:
  `T` - the type of the client data object.

public class ButtonState<T> extends Object
Defines one "state" for a `MultiStateButton`. Each button state represents one choice from a drop-down list of choices on the button. Each state provides information on what the button text should be when it is the active state, the text in the drop-down for picking the state, text for a tooltip description, and finally client data that the client can use to store info for processing the action when that state is active.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ButtonState(String buttonText, String menuText, String description, T clientData)`
  Constructor
  `ButtonState(String buttonText, String description, T clientData)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getButtonText()`
  `T`
  `getClientData()`
  `String`
  `getDescription()`
  `String`
  `getMenuText()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ButtonState

    public ButtonState(String buttonText, String description, T clientData)
    Constructor
    Parameters:
      `buttonText` - the text to display as both the drop-down choice and the active button text
      `description` - the tooltip for this state
      `clientData` - the client data for this state

  - ### ButtonState

    public ButtonState(String buttonText, String menuText, String description, T clientData)
    Constructor
    Parameters:
      `buttonText` - the text to display in the button when this state is active
      `menuText` - the text to display in the drop-down list
      `description` - the tooltip for this state
      `clientData` - the client data for this state

- ## Method Details

  - ### getButtonText

    public String getButtonText()

  - ### getMenuText

    public String getMenuText()

  - ### getDescription

    public String getDescription()

  - ### getClientData

    public T getClientData()